Package jakarta.servlet.http

## Interface WebConnection

- All Superinterfaces:
    `java.lang.AutoCloseable`

      public interface WebConnection
      extends java.lang.AutoCloseable

  The interface used by an `HttpUpgradeHandler` to interact with an upgraded HTTP connection.
  Since:
    Servlet 3.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServletInputStream` | `getInputStream()` | Provides access to the `ServletInputStream` for reading data from the client.
    `ServletOutputStream` | `getOutputStream()` | Provides access to the `ServletOutputStream` for writing data to the client.

    - ### Methods inherited from interface java.lang.AutoCloseable

      `close`

- - ### Method Detail

    - #### getInputStream

          ServletInputStream getInputStream()
                                     throws java.io.IOException

      Provides access to the `ServletInputStream` for reading data from the client.
      Returns:
        the input stream
      Throws:
        `java.io.IOException` - If an I/O occurs while obtaining the stream

    - #### getOutputStream

          ServletOutputStream getOutputStream()
                                       throws java.io.IOException

      Provides access to the `ServletOutputStream` for writing data to the client.
      Returns:
        the output stream
      Throws:
        `java.io.IOException` - If an I/O occurs while obtaining the stream